import { Point } from "./Point";

export class Lap {
    private number : number;
    private points: Point[];
    private time: number;

    constructor(number: number,points: Point[], time: number) {
        this.number = number;
        this.points = points;
        this.time = time;
    }

    getNumber(){
        return this.number;
    }
    setNumber(){
        return this.number;
    }

    getPoints() {
        return this.points;
    }
    
    setPoints(points: Point[]) {
        this.points = points;
    }

    getTime() {
        return this.time;
    }
    
    getFormattedTime(){
        const timeInSeconds = this.time;
        const timeInMs = timeInSeconds * 1000;
        const date = new Date(timeInMs);
        const minutes = date.getMinutes().toString().padStart(2, "0");
        const seconds = date.getSeconds().toString().padStart(2, "0");
        const milliseconds = date.getMilliseconds().toString().padStart(2, "0");
        const formattedTime = `${minutes}:${seconds}:${milliseconds}`;
        return formattedTime;
    }

    setTime(time: number) {
        this.time = time;
    }
    getAverageSpeed(){
        var sum = 0;
        this.points.forEach(pt => {
            sum += pt.getVCar();
        });
        return sum/this.points.length;
    }
    getLocationLat(){
        var sum = 0.0;
        this.points.forEach(pt => {
            sum += pt.getGeo().getGpsLat();
        });
        return sum/this.points.length;
    }
    getLocationLong(){
        var sum = 0.0;
        this.points.forEach(pt => {
            sum += pt.getGeo().getGpsLong();
        });
        return sum/this.points.length;
    }
}