import { Team } from "../../core/Team";
import { Fetch_Teams } from "../Constants";

export const setCitiesList = (citiesList: Team[]) => {
    return {
        type: Fetch_Teams,
        payload: citiesList,
    };
}

export const getCitiesList = () => {
    return async dispatch => {
        try {
            const citiesPromise = await fetch('https://iut-weather-api.azurewebsites.net/');
            const citiesListJson = await citiesPromise.json();
            const citiesList: Team[] = citiesListJson.map(elt => new Localisation(elt["name"], elt["latitude"], elt["longitude"]));
            dispatch(setCitiesList(citiesList));
        } catch (error) {
            console.log('Error---------', error);
            //dispatch(fetchDataRejected(error))
        }
    }
}